[package]
name = "donten"
version = "0.1.0"
edition = "2021"

[dependencies]
winit = "0.30.5"
rayon = "1.10.0"
crossbeam = "0.8.4"

vulkano = "0.34.1"
glam = "0.29.2"

pool = { git = "https://git.tsukiyo.org/Utility/pool" }

[target.'cfg(windows)'.dependencies]
windows = { version = "0.58.0", features = [
    "Win32_Foundation",
    "Win32_UI_WindowsAndMessaging",
    "Win32_Graphics_Gdi",
    "Win32_UI_Input",
    "Win32_System_Threading",
] }
widestring = "1.1.0"

[target.'cfg(linux)'.dependencies]
evdev = "0.12.2"
